%define module  urllib3

Summary:        Python HTTP library with thread-safe connection pooling, file post, and more
Name:           python-%{module}
Version:        1.13.1
Release:        1%dist
Source0:        https://pypi.python.org/packages/source/u/%{module}/%{module}-%{version}.tar.gz
License:        MIT
Group:          Development/Python
Url:            http://urllib3.readthedocs.org/
BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
Requires:       ca-certificates
Requires:       python-six
Requires:       python-backports-ssl_match_hostname
# For unittests
BuildRequires:  python-tornado
BuildRequires:  python-nose
BuildRequires:  python-mock
BuildRequires:  python-backports-ssl_match_hostname
BuildRequires:  python-six

%description
There are two critical features missing from the Python standard
library: Connection re-using/pooling and file posting. It's not
terribly hard to implement these yourself, but it's much easier to use
a module that already did the work for you.

The Python standard libraries urllib and urllib2 have little to do
with each other. They were designed to be independent and standalone,
each solving a different scope of problems, and urllib3 follows in a
similar vein.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build 

%install
python setup.py install --root=%{buildroot}

rm -rf %{buildroot}%{python_sitelib}/urllib3/packages/six.py*
rm -rf %{buildroot}%{python_sitelib}/urllib3/packages/ssl_match_hostname/

mkdir -p %{buildroot}%{python_sitelib}/urllib3/packages/
ln -sf ../../six.py %{buildroot}%{python_sitelib}/urllib3/packages/six.py
ln -sf ../../six.pyc %{buildroot}%{python_sitelib}/urllib3/packages/six.pyc
ln -sf ../../six.pyo %{buildroot}%{python_sitelib}/urllib3/packages/six.pyo
ln -sf ../../backports/ssl_match_hostname %{buildroot}%{python_sitelib}/urllib3/packages/ssl_match_hostname

# dummyserver is part of the unittest framework
rm -rf %{buildroot}%{python_sitelib}/dummyserver

%files
%doc CHANGES.rst README.rst CONTRIBUTORS.txt
%{python_sitelib}/*
